<?php

    $json_file = "./data.json";

    $data = file_get_contents($json_file);
   
    $json = json_decode($data, TRUE);
	
	/* Premiere question */
	$json["jeux"][0]["mon_soft"]["nb_utilisation"] = 9; //on modifie une valeur

	/* Deuxieme question */
	$json["jeux"][0]["mon_soft"]["niveau"][0]["junior"]="oui";

	/* Troisième question */
	unset($json["jeux"][0]["utilisateur"]["age"]);
	$json["jeux"][0]["utilisateur"]["pseudo"] = "Bob";

	/* Quatrième question */
	unset($json["jeux"][0]["utilisateur"]["id"]);

	
	/* Cinqième question */
	
	/*
	*  On encode les données au format JSON
	*  Option 1: JSON_UNESCAPED_UNICODE : retire les antislashs "\" pour la lisibilité
	*  Option 2: JSON_PRETTY_PRINT : Retourne un code sur plusieurs lignes + indentation
	*/
	
	$json_string = json_encode($json, JSON_UNESCAPED_UNICODE|JSON_PRETTY_PRINT);
	
	/* On sauvegarde le fichier : */
	if( file_put_contents($json_file, $json_string) ) {
		echo "Fichier <strong>".$json_file."</strong> enregistré avec succès !";
	}
	
	
    foreach ($json["jeux"][0]["utilisateur"] as $key => $value) {
		
		echo $key . " ==> " . $value ."<br>";
	}
	
    foreach ($json["jeux"][0]["mon_soft"] as $key => $value) {
		
		if ($key === "niveau") {
			
			//print_r($value[0]);
			
			foreach ($value[0] as $ad_key => $ad_value) {
			
				echo $key. " : " . $ad_key . " ==> " . $ad_value ."<br>";
			
			}
		
		} else {
		
			echo $key . " ==> " . $value ."<br>";
		
		}
	}

	echo '<pre>'.$json_string."</pre>";
	
?>